/* Import fonts from fonts.css */
@import url('/css/fonts.css');

/* css variables */
@import url('/css/partials/_variables.css');

/* globals styling variable */
@import url('/css/partials/_globals.css');

/* Script for movr up button */
@import url('/css/moveUpBtn.css');

html,body{
    margin: 0%;
    box-sizing: border-box;
    overflow-x: hidden;

}

/*========================== Global Classes ========================== */
a{
    text-decoration: none;
    color: var(--text-color);
}

h2{
    /* font-family: var(--lexend_deca); */
    font-size: 2.2rem;
}

h3{
    font-size: 1.8rem;
    font-family: var(--josefin_sans);
    margin-left: 0.5rem;
    font-weight: bold;
    text-decoration: underline;
}

button.btn{
    border: none;
    border-radius: 2rem;
    padding: 1rem 3rem;
    font-size: 1rem;
    font-family: var(--livvic);
    cursor: pointer;
}

.footer_text::after {
    color: var(--text-gray);
    content: var(--footer_content);
    font-family: var(--josefin_sans);;
}

p{
    font-family: var(--lexend_deca);
    color: #000000;
    font-size: 1.1rem;
    line-height: 1.7em;
    margin-left: 1rem;
}

/*========================== Global Classes Ends ==========================*/

/*========================== Navbar Styling ==========================*/
/* Style defined in the __globals stylesheet */
/*========================== End Navbar Styling ==========================*/


/*========================== Page Title Styling ==========================*/

body {
    background-image: url('/assets/banner3.png');
    /* background-size: auto; */
    background-size: cover;
    background-repeat: repeat;
    justify-content: center;
  }

main .page-title .title{
    padding-top: 1.5rem;
    text-align: center;
    color: black;
}

main .page-title h2{
    margin: 0.5rem;
    font-family: var(--josefin_sans);
    /* font-size: 4rem; */
    padding-bottom: 1rem;
}

/*========================== End Page Title Styling ==========================*/


/*========================== Page Content Styling ==========================*/

.page-heading{
    margin-top: 3rem;
    text-align: center;
}
.name{
    margin-top: 3rem;
    font-size: 4rem;
    font-family: var(--lexend_deca);
}
hr.style-one {
    border: 0;
    height: 1px;
    background: #333;
    background-image: -webkit-linear-gradient(left, #ccc, #333, #ccc);
    background-image: -moz-linear-gradient(left, #ccc, #333, #ccc);
    background-image: -ms-linear-gradient(left, #ccc, #333, #ccc);
    background-image: -o-linear-gradient(left, #ccc, #333, #ccc);
}
.container{
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    padding-bottom: 50px;
}
.lib-contents{
    position: relative;
}


  .grid { 
    display: grid;
    grid-template-columns: 80% 20%;
    /* grid-template-rows: 50rem ; */
    grid-template-rows: max-content;
    grid-template-areas: 
    "s1 s2"  
    "s3 s2"
  }
  .s2 { 
    grid-area: s2 ;
  }
  .s1 { 
    grid-area: s1;
    /* background-color: rgba(204, 204, 204, 0.25); */
    background-color:mintcream;
  }
  .s3 {
    grid-area: s3;
  }
  .sub-title{
      /* font-family: var(--lexend_deca); */
      font-size: 35px;
  }
  .title-name{
    font-size: 55px;

  }
  .topic-name{
    font-size: 35px;
  }
  
  .list-style{
    list-style-type: square;
    font-weight: 500;
}
.list-style1{
    list-style-type: circle;
    font-weight: 500;
}
.list-style2{
    list-style-type: disc;
    font-weight: 500;
}
.list-style3{
    list-style-type: decimal;
    font-weight: 500;
}
.list-style4{
    /* list-style-type:symbols(); */
    list-style-image: url(/assets/svg/cross.svg);
    font-weight: 500;
}
.list-style5{
    /* list-style-type:symbols(); */
    list-style-image: url(/assets/svg/spades.svg);
    font-weight: 500;
}
.list-style6{
    list-style-image: url(/assets/svg/rounded_star1.svg);
    font-weight: 500;
}
.list-style7{
    list-style-image: url(/assets/svg/star1.svg);
    font-weight: 500;
}

table, th, td {
    /* border: 1px solid rgb(129, 126, 126); */
    border: 0px solid rgb(129, 126, 126);
    border-collapse: collapse;
}
th,td{
    font-family: var(--livvic);
    padding: 10px;
    /* width: 50%; */
}
table tr:nth-child(even) {
    background-color: #eee;
}
table tr:nth-child(odd) {
    background-color: #fff;
}
table th {
    color: white;
    background-color: black;
}
#txt-ara{
    height: 68px;       
    width: 450px;
    border: solid 2px blanchedalmond;
    border-radius: 15px;
    background-color: azure;
}
.code-area{
    background-color: beige;
    border-radius: 10px;
    width: 700px;
}
.test-code{
    font-weight: 300;
    font-family: var(--livvic);
    font-size: 20px;
}

.title-name{
    font-size: 55px;    
    justify-content: center;
    align-items: center;    
    font-style:bolder;
    text-align: center;
}
.topic-name{
    font-size: 35px;
}

.img1{
    /* height: 60%;
    width: 50%; */
    width: 35%;
    transition: all 1s ease;
    border: 2px solid black;
    border-radius: 1.5rem;
}
.img1:hover{
    transform: scale(1.3);
}

/*------------Styling for animated divison---------------*/
.cust_div{
    width: 160px;
    height: 160px;
    border-radius: 20px;
    position: relative;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
}
.cust_div:before{
    content: "";
    /* background-image: conic-gradient(
        #ff0052 20deg,
        transparent 120deg
    ); */
    /* width: 150%;
    height: 150%; */
    width: 235px;
    height: 235px;
    position: absolute;
    /* animation: rotate 2s linear infinite; */
    animation: none;
}
.cust_div:hover:before {   
    background-image: conic-gradient(
        var(--ring_color) 20deg,
        transparent 120deg
    );
    animation:  rotate 2s linear infinite;
}
.cust_div::after{
    content: var(--div_name);
    width: 150px;
    height: 150px;
    /* background: #101010; */
    /* background: #3a3535; */
    background: var(--bck);
    position: absolute;
    border-width: 10px;
    border-radius: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    color:#ff0052;
    letter-spacing: 5px;
    box-shadow: inset 20px 20px 20px #0000008c;
    font-family: var(--lexend_deca);
    font-size: 1.2em;
    font-style:bolder;
    text-align: center;
    line-height: 1.7em;
}
@keyframes rotate{
    0%{
        transform: rotate(0deg);
    }
    100%{
        transform: rotate(360deg);
    }
}
.line-style{
    display: flex;
    justify-content: center;
}
.line-img{
    width: 30%;
}
/*------------Styling for animated divison Ends Here---------------*/
/*========================== End Page Content Styling ==========================*/


/*========================== Footer Styling ==========================*/
footer.footer{
    background: var(--title-color);
    /* position: relative;
    padding: 0 2rem; */
    position: fixed;
    left: 0;
    bottom: 0;
    width: 100%;
    text-align: center;
}


footer.footer .container h3{
    color: var(--white);
}

footer.footer .rights{
    justify-content: center;
    font-family: var(--josefin_sans);
}

footer.footer .rights a{
    color: var(--white);
}

footer.footer .move-up{
    position:relative;
    /* right: 6%; */
    /* left: 48%; */
    left: 33%;
    top: 50%;
    color: var(--midnight-green);
}

footer.footer .move-up:hover{
    color: var(--white);
    cursor: pointer;
}
/*========================== End Footer Styling ==========================*/


/*========================== viewport less than or equals to 1130px =====================*/

@media only screen and (max-width:1130px){

    .blog-content{
        display: flex;
        flex-direction: column;
        text-align: center;
        width: 25%;
        height: 15%;
        margin: 1.5rem 1.5rem;
        box-shadow: var(--box-shadow);
    } 

    .blog-content img{
        height: 50%;
        width: 50%;
    }
    .custom_para{
        font-size: 1.0rem;
        line-height: 1.3rem;
    }
    .cpp-page-link{
        font-size: 1.0rem;
        line-height: 1.3rem;
        font-style: italic;
    }
    .line-img{
        width: 40%;
    }
    .cust_div{
        width: 150px;
        height: 150px;
        border-radius: 20px;
    }
    .cust_div:before{
        width: 225px;
        height: 225px;
    }
    .cust_div::after{
        width: 140px;
        height: 140px;
        font-size: 0.9em;
    }
    footer.footer .move-up{
        left: 20%;
    }

}

/*========================== viewport less than or equals to 1130px ends =====================*/

/*========================== viewport less than or equals to 750px =====================*/

@media only screen and (max-width:770px){
    .blog-content{
        display: flex;
        flex-direction: column;
        text-align: center;
        width: 25%;
        height: 15%;
        margin: 0.5rem 1.5rem;
        box-shadow: var(--box-shadow);
        /* grid-template-columns: repeat(2, 1fr);
        width: 15%;
        height: 8%; */
    } 

    .blog-content img{
        height: 80%;
        width: 80%;
    }

    main .page-title h1{
        font-size: 3rem;
        padding-bottom: 0.5rem;
    }

    /* .grid { 
        display: grid;
        grid-template-columns: 10% 80% 10% ;
        grid-template-areas: 
        "s1 s2 s3"    
        "s1 s4 s3"
    }
    
    .s1, .s3 { 
        visibility: visible;
    }
    .s4{
        visibility: visible;
    } */
    .blog-category1, .blog-category2{
        width: 350px;
        height: 90px;
    }
    .code-area{
        width: 550px;
    }
    .test-code{
        font-size: 12px;
    }
    .custom_para{
        font-size: 1.0rem;
        line-height: 1.3rem;
    }
    .cpp-page-link{
       font-size: 1.0rem;
       line-height: 1.3rem;
       font-style: italic;
    }
    .line-img{
        width: 50%;
    }
    .cust_div{
        width: 150px;
        height: 150px;
        border-radius: 20px;
    }
    .cust_div:before{
        width: 225px;
        height: 225px;
    }
    .cust_div::after{
        width: 140px;
        height: 140px;
        font-size: 0.9em;
    }
    footer.footer .move-up{
        left: 10%;
    }
}

/*=================== viewport less than or equals to 750px close =====================*/


/*=================== viewport less than or equals to 520px =========================*/

@media only screen and (max-width:520px){
    .name{
        font-size: 3rem;
    }

    main .page-title .page-background{
        padding-top: 2.5rem;
    }

    main .page-title h1{
        margin: 0.3rem;
        font-size: 3rem;
    }

    /* nav .toggle-collapse{
        width: 80% !important;
    } */

    main .page-title h1{
        font-size: 2rem;
        padding-bottom: 0.5rem;
    }
    
    /* .grid { 
        display: grid;
        grid-template-columns: 2% 95% 2% ;
        grid-template-areas: 
        "s1 s2 s3"    
        "s1 s4 s3"
      }
    .s1, .s3 { 
        visibility: hidden;
    }
    .s4{
        visibility: visible;
    } */
    .blog-category1, .blog-category2{
        width: 270px;
        height: 70px;
    }

    /* footer.footer .rights > div{
        padding: 0.8rem 0.9rem !important;
    }

    footer .rights{
        padding: 0 1.4rem;
        text-align: center;
    } */
    .code-area{
        width: 350px;
    }
    .test-code{
        font-size: 12px;
    }
    .title-name{
        font-size: 50px;
    }
    .topic-name{
        font-size: 35px;
        font-weight: bold;
    }#txt-ara1{
        height: 300px;       
        width: 300px;
        border: solid 2px blanchedalmond;
        border-radius: 15px;
        background-color: azure;
        font-size: 12px;
    }
    #txt-ara1a{
        height: 360px;       
        width: 300px;
        font-size: 12px;
    }
    #txt-ara2{
        height: 58px;       
        width: 300px;
        border: solid 2px blanchedalmond;
        border-radius: 15px;
        background-color: azure;
        font-size: 12px;
        text-align: left;
        margin-left: 0%;
    }
    .custom_para{
        font-size: 1.0rem;
        line-height: 1.3rem;
    }
    .cpp-page-link{
       font-size: 1.0rem;
       line-height: 1.3rem;
       font-style: italic;
    }
    .line-img{
        width: 70%;
    }
    .cust_div{
        width: 140px;
        height: 140px;
        border-radius: 20px;
    }
    .cust_div:before{
        width: 205px;
        height: 205px;
    }
    .cust_div::after{
        width: 130px;
        height: 130px;
        font-size: 0.9em;
    }
    footer.footer .move-up{
        left: 22%;
    }
    
}

/*=================== viewport less than or equals to 520px close =========================*/





/*=================== viewport less than or equals to 380px =========================*/

@media only screen and (max-width:375px){
    
    main .page-title .page-background{
        padding-top: 2.5rem;
    }

    main .page-title h1{
        margin: 0.3rem;
        font-size: 3rem;
    }

    /* nav .toggle-collapse{
        width: 80% !important;
    } */
    main .page-title h1{
        font-size: 2rem;
        padding-bottom: 0.5rem;
    }

    .name{
        font-size: 3rem;
    }

    /* .grid { 
        grid-template-columns: 90% 10%;
        grid-template-areas: 
        "s1 s2"  
    }
      .s2 { 
        grid-area: s2 ;
    }
      .s1 { 
        grid-area: s1;
        background-color:mintcream;
    }
      .s3 {
        grid-area: s3;
    } */
    .blog-category1, .blog-category2{
        width: 250px;
        height: 55px;
    }
    .line-img{
        width: 70%;
    }
    

    /* footer.footer .rights > div{
        padding: 0.8rem 0.9rem !important;
    }

    footer .rights{
        padding: 0 1.4rem;
        text-align: center;
    } */
    .code-area{
        width: 260px;
    }
    .test-code{
        font-size: 12px;
    }
    .title-name{
        font-size: 45px;
    }
    .topic-name{
        font-size: 30px;
        font-weight: bold;
    }#txt-ara1{
        height: 300px;       
        width: 300px;
        border: solid 2px blanchedalmond;
        border-radius: 15px;
        background-color: azure;
        font-size: 12px;
    }
    #txt-ara1a{
        height: 360px;       
        width: 300px;
        font-size: 12px;
    }
    #txt-ara2{
        height: 58px;       
        width: 300px;
        border: solid 2px blanchedalmond;
        border-radius: 15px;
        background-color: azure;
        font-size: 12px;
        text-align: left;
        margin-left: 0%;
    }
    p{
        font-size: 0.9em;
        line-height: 1.5em;
    }
    .custom_para{
        font-size: 0.8em;
        line-height: 0.5em;
    }
    .list-style4{
        font-size: 1.2rem;
      }
    .cpp-page-link{
       font-size: 0.9em;
       line-height: 1.1em;
       font-style: italic;
    }
    .cust_div{
        width: 130px;
        height: 130px;
        border-radius: 20px;
    }
    .cust_div:before{
        width: 195px;
        height: 195px;
    }
    .cust_div::after{
        width: 120px;
        height: 120px;
        font-size: 0.9em;
    }
    footer.footer .move-up{
        left: 14%;
    }
}
/*=================== viewport less than or equals to 380px close =========================*/

